Google schließt schwerwiegende XSS-Lücke in Gmail

Der Fehler steckt in einer Funktion zur Darstellung dynamischer E-Mail-Inhalte. Google benötigt rund zwei Monate, um das Loch zu stopfen. Den von einem externen Forscher entdeckten Bug bezeichnet das Unternehmen als "großartig".

Google hat eine Cross-Site-Scripting-Lücke (XSS) in seinem E-Mail-Dienst Gmail geschlossen. Entdeckt wurde die Anfälligkeit von Michal Bentkowski, Chief Security Researcher bei Securitum. Einem Blogeintrag zufolge steckte der Fehler in der Funktion AMP4Email, die seit Juli allgemein für Gmail verfügbar ist.

Gmail (Bild: Google)AMP4Email wird auch als Dynamic Email bezeichnet. Die Funktion soll die Darstellung dynamischer Inhalte in elektronischen Nachrichten wie Einladungen zu Veranstaltungen oder Kommentar-Threads verbessern.

Ab Werk verfügt AMP4Email über ein Validierungssystem, dass XSS-Angriffe verhindern soll. Es sind jedoch bestimmte Tags und Attribute über eine Whitelist erlaubt. Versuche, neue Elemente zu dieser Liste hinzuzufügen, werden mit einer Fehlermeldung quittiert.

Der Forscher fand heraus, dass das Attribut „ID“ in Tags erlaubt ist, was ihn vermuten ließ, AMP4Email könne anfällig für DOM Clobbering sein. Document Object Model (DOM) Clobbering wird durch eine zunehmende Komplexität digitaler Nachrichten ausgelöst. E-Mails enthalten beispielsweise schon lange nicht mehr nur Text, sondern häufig zusätzliche Inhalte, was eine genaue Prüfung und Bereinigung erforderlich macht. Probleme mit Weißen Listen öffnen indes Türen für XSS-Angriffe.

„DOM Clobbering ist eine veraltete Funktion von Webbrowsern, die in vielen Anwendungen immer wieder Probleme verursacht“, erklärte der Forscher. Im Fall von AMP4Email führt sie dazu, dass ein Angreifer Teile einer Angabe für eine URL kontrollieren und somit für Cross-Site-Scripting benutzen kann. Allerdings soll eine Inhaltssicherheitsrichtlinie in AMP dafür sorgen, dass auf dieser Art eingeschleuster Code nicht vollständig ausgeführt wird.

Die Schwachstelle meldete der Forscher am 15. August über das Google Vulnerability Reward Program, über das Google externe Sicherheitsforscher für ihre Arbeit belohnt. Einen Tag später bestätigte Google den Fehlerbericht. Nach einer eigenen Analyse antwortete Google schließlich am 10. September: „Der Fehler ist großartig, danke für die Meldung.“ Am 12. Oktober informierte Google den Forscher, dass der Fehler beseitigt worden sei.

WEBINAR

Webinar-Aufzeichnung: Zugangsdaten unter Kontrolle behalten

Sicherheit beginnt bei Identitäten, hört aber nicht dort auf. Wie Identity Management, Active Directory und Privileged Access Management (PAM) zusammenpassen, erfahren Sie in diesem Webinar.

Themenseiten: E-Mail, Gmail, Google, Security, Sicherheit

Fanden Sie diesen Artikel nützlich?
Content Loading ...
Whitepaper

Artikel empfehlen:

Neueste Kommentare 

Noch keine Kommentare zu Google schließt schwerwiegende XSS-Lücke in Gmail

Kommentar hinzufügen

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind markiert *